# $NetBSD$

PROG=	vhd
SRCS=	vhd.c main.c
MAN=	vhd.8
WARNS=	4
LDADD+=	-L${.CURDIR}/.. -Wl,-R${.CURDIR}/.. -lvdisk
CPPFLAGS+=	-D_NETBSD_SOURCE -I${.CURDIR}/..
CPPFLAGS+=	-DVDISK_DEBUG
CPPFLAGS+=-g -O0
LDFLAGS+=-g -O0

.include <bsd.prog.mk>

IMAGE=image.vhd

t: ${PROG}
	./${PROG} -c -t dynamic ${IMAGE}
	ls -al ${IMAGE}
	./${PROG} -l ${IMAGE}
	rm -f ${IMAGE}
	./${PROG} -c ${IMAGE}
	ls -al ${IMAGE}
	./${PROG} -l ${IMAGE}
